List connection types
curl --request GET \
--url https://api.markifact.com/v1/connections/types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.markifact.com/v1/connections/types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.markifact.com/v1/connections/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "<string>",
"name": "<string>"
}
]Connections
List connection types
List OAuth connection types supported by the Markifact API.
GET
/
v1
/
connections
/
types
List connection types
Returns the connection types that can be used when creating an auth link.
Endpoint
GET /v1/connections/types
Example Request
curl https://api.markifact.com/v1/connections/types \
-H "Authorization: Bearer YOUR_API_KEY"
Response
[
{
"type": "ga4",
"name": "Google Analytics 4"
},
{
"type": "gads",
"name": "Google Ads"
},
{
"type": "meta_ads",
"name": "Meta Ads"
}
]
Fields
| Field | Type | Description |
|---|---|---|
type | string | The value to use as connection_type when creating an auth link. |
name | string | Human-readable connection type name. |
⌘I

